lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "FetchGenerator/version"

Gem::Specification.new do |spec|
  spec.name          = "FetchGenerator"
  spec.version       = FetchGenerator::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{Uses decisiontrees to generate training examples for gabbler.}
  spec.description   = %q{}
  spec.homepage      = "https://lwflouisa.github.io"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency   "rake", "~> 10.0"
  spec.add_development_dependency   "rspec", "~> 3.0"

  spec.add_runtime_dependency 'espeak-ruby', '~> 1.0', '>= 1.0.4'
  spec.add_runtime_dependency          'decisiontree', '~> 0.5.0'
  spec.add_runtime_dependency               'gabbler', '~> 0.1.0'
end
